using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GameState
{
    private GameStateType m_Type;

    public GameStateType Type
    {
        get { return m_Type; }
    }

    public GameState(GameStateType _stateType)
    {
        m_Type = _stateType;

        OnInit();
    }

    public virtual void OnInit() { }
    public virtual void OnEnter() { }
    public virtual void OnPause() { }
    public virtual void OnExit() { }

    public virtual void OnUpdate() { }

    public virtual void OnSceneLoaded(string _sceneName) { }
}
